Skip to main content

Profile

All /me endpoints require authentication: Authorization: Bearer <access_token>.


Get Profile

GET /api/v1/me

Get the current user's profile.

Response 200

{
"success": true,
"status": "200",
"message": "Profile retrieved successfully",
"errors": null,
"data": {
"id": "uuid",
"first_name": "Ivan",
"last_name": "Petrov",
"bio": null,
"locale": "ru",
"avatar_url": "https://...",
"role": "client",
"stats": {
"visits_count": 5,
"favorites_count": 2,
"reviews_count": 1
}
}
}

Update Profile

PATCH /api/v1/me

Update profile. All fields are optional.

Request

{
"profile": {
"first_name": "Ivan",
"last_name": "Petrov",
"bio": "My bio",
"locale": "ru"
}
}

Response 200

Same body as GET /api/v1/me.


Upload Avatar

PATCH /api/v1/me/avatar

Upload avatar. Multipart form data.

Request

Content-Type: multipart/form-data

avatar: <file>

Response 200

{
"success": true,
"status": "200",
"message": "Avatar updated successfully",
"errors": null,
"data": {
"avatar_url": "https://..."
}
}

Delete Account

DELETE /api/v1/me

Delete account. Requires password confirmation.

Request

{
"password": "secret123"
}

Response 200

{
"success": true,
"status": "200",
"message": "Account deleted successfully!",
"errors": null,
"data": null
}

Response 401 — Incorrect password

{
"success": false,
"status": "401",
"message": "Incorrect password",
"errors": null,
"data": null
}

List Favorite Salons

GET /api/v1/me/favorites

List of favorite salons for the current user.

Response 200

{
"success": true,
"status": "200",
"message": "Favorites retrieved successfully",
"errors": null,
"data": [
{
"id": "uuid",
"name": "Barber House",
"slug": "barber-house",
"address": "str. Pushkin 12",
"lat": 47.024,
"lng": 28.832,
"phone": "+37369000000",
"status": "active",
"avg_rating": 4.8,
"reviews_count": 12,
"photo_urls": []
}
]
}

List My Salons

GET /api/v1/me/salons

List of salons owned by the current user (with detailed information).

Response 200

{
"success": true,
"status": "200",
"message": "Salons retrieved successfully",
"errors": null,
"data": [
{
"id": "uuid",
"name": "Barber House",
"slug": "barber-house",
"address": "str. Pushkin 12",
"lat": 47.024,
"lng": 28.832,
"phone": "+37369000000",
"status": "active",
"avg_rating": 4.8,
"reviews_count": 12,
"photo_urls": [],
"cancellation_hours_before": 24,
"cancellation_fee_percent": "0.0",
"working_hours": [
{ "day_of_week": 1, "open": "09:00", "close": "18:00" }
],
"services": [
{
"id": "uuid",
"name": "Men's Haircut",
"description": null,
"category": "barbershop",
"duration_min": 30,
"masters": [
{ "master_id": "uuid", "price": 150.0, "first_name": "Ion", "last_name": "Popescu" }
]
}
]
}
]
}

List My Appointments

GET /api/v1/me/appointments

List of appointments for the current user.

Query params

ParameterDescription
statusFilter by status: confirmed, in_progress, completed, etc.
salon_idFor salon_owner and professional only

Response 200

{
"success": true,
"status": "200",
"message": "Appointments retrieved successfully",
"errors": null,
"data": [
{
"id": "uuid",
"status": "confirmed",
"starts_at": "2026-04-07T10:00:00Z",
"ends_at": "2026-04-07T10:30:00Z",
"salon_name": "Barber House",
"master_name": "Ion Popescu"
}
]
}